POST api/pcapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "1ee7f932-9db7-41e7-9d4f-e1ff0e4f140b",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "f2bd052c-1ef6-4840-b1f3-fa287a4561e5",
"local_ip": "sample string 7",
"lock_id": "45f202a0-a19f-4f32-8bda-f1e0ad69978f",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "d66092b0-a393-43b8-b78a-6414538435e7",
"rights": [
{
"code": "sample string 1",
"id": "db9ecbc9-0fdd-46d5-b01c-35c647a98105"
},
{
"code": "sample string 1",
"id": "db9ecbc9-0fdd-46d5-b01c-35c647a98105"
}
],
"site_id": "00189b89-0b03-4aaa-a907-00860ea08451",
"zone_id": "f35eedfb-c521-4963-b358-4ead44fb9902"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>1ee7f932-9db7-41e7-9d4f-e1ff0e4f140b</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>f2bd052c-1ef6-4840-b1f3-fa287a4561e5</id>
<local_ip>sample string 7</local_ip>
<lock_id>45f202a0-a19f-4f32-8bda-f1e0ad69978f</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>d66092b0-a393-43b8-b78a-6414538435e7</pc_type_id>
<rights>
<right>
<ID>db9ecbc9-0fdd-46d5-b01c-35c647a98105</ID>
<code>sample string 1</code>
</right>
<right>
<ID>db9ecbc9-0fdd-46d5-b01c-35c647a98105</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>00189b89-0b03-4aaa-a907-00860ea08451</site_id>
<zone_id>f35eedfb-c521-4963-b358-4ead44fb9902</zone_id>
</pc>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"43ec7afd-8622-4b81-a65e-80a86ab0619c"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">43ec7afd-8622-4b81-a65e-80a86ab0619c</guid>